
$(document).ready(function(){
    //Upload event_url 
    
    $(document).on('change', '#event_url', function () {
        var name = document.getElementById("event_url").files[0].name;
        var form_data = new FormData();
        var ext = name.split('.').pop().toLowerCase();
        if (jQuery.inArray(ext, ['jpeg', 'jpg', 'png','gif','webp']) == -1) {
          alert("Invalid Image File");
        }
        var oFReader = new FileReader();
        oFReader.readAsDataURL(document.getElementById("event_url").files[0]);
        var f = document.getElementById("event_url").files[0];
        var fsize = f.size || f.fileSize;
        if (fsize > 2000000) {
          alert("Image File Size is very big");
        } else {
          form_data.append("event_url", document.getElementById('event_url').files[
            0]);
  
          $.ajax({
  
            url: "upload.php",
            method: "POST",
            data: form_data,
            contentType: false,
            cache: false,
            processData: false,
            beforeSend: function () {
              $('#uploaded_event_url').html(
                "<label class='text-success'>Uploading...</label>");
            },
            success: function (data) {
              $('#uploaded_event_url').html(data);
            }
          });
        }
      });
  

       //-----------------------------------event_url ---------------------------------------


// jQuery ajax form submit example, runs when form is submitted
$("#post").submit(function(e) {
    e.preventDefault(); // prevent actual form submit
    var form = $(this);
    var url = form.attr('action'); //get submit url [replace url here if desired]
    
    $("#btnAdd").val("Adding...");
    $("#btnAdd").prop('disabled', true);
    setInterval(function () {$("#btnLogin").prop('disabled', false);}, 3000);

    
        $.ajax({
            type: "POST",
            url: url,
            data: form.serialize(), // serializes form input
            success: function(data){

                console.log(data);
                $("#btnLogin").val("Add");

                $("#msg").html(data); 
                $("#msg").slideDown("slow");
                $("#msg").slideUp(3000,function(){ 
                if(!(data=="Please complete all required fields."))
                window.location.href="post-list.php";
                 });
                

            }
        });
    
});

$(".delete").click(function(e) {

    var id= $(this).attr("id");
    var url="post-action.php";
   
     $.ajax({
            type: "POST",
            url: url,
            data:{'id':id,'action':'Delete'}, // serializes form input
            success: function(data){

                location.reload();
            
            }
        });

});


	
});
 




